Business Rewards
curl --request GET \
--url https://api.blockradar.co/v1/rewards \
--header 'x-api-key: <api-key>'{
"message": "Business rewards retrieved successfully",
"statusCode": 200,
"data": [
{
"type": "defi",
"apy": "2.41",
"balance": "4.365017",
"balanceInUSD": "4.365017",
"totalDeposited": "4.360000",
"totalDepositedInUSD": "4.360000",
"earnings": "0.005017",
"earningsInUSD": "0.005017",
"todayEarnings": "0.000187",
"weeklyEarnings": "0.001312",
"lifetimeEarnings": "0.026492",
"lifetimeEarningsInUSD": "0.026492",
"asset": {
"id": "2f6298ec-81ca-44f4-a8f2-cc045a46d28c",
"isActive": true,
"asset": {
"id": "b1deda8d-7609-4895-b584-e8ef1f13e354",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6,
"currency": "USD",
"network": "mainnet",
"blockchain": {
"name": "base",
"slug": "base",
"symbol": "eth"
}
}
}
}
]
}Business Rewards
Returns earn positions aggregated across your entire business (all wallets), grouped per strategy. No path or body parameters.
GET
/
v1
/
rewards
Business Rewards
curl --request GET \
--url https://api.blockradar.co/v1/rewards \
--header 'x-api-key: <api-key>'{
"message": "Business rewards retrieved successfully",
"statusCode": 200,
"data": [
{
"type": "defi",
"apy": "2.41",
"balance": "4.365017",
"balanceInUSD": "4.365017",
"totalDeposited": "4.360000",
"totalDepositedInUSD": "4.360000",
"earnings": "0.005017",
"earningsInUSD": "0.005017",
"todayEarnings": "0.000187",
"weeklyEarnings": "0.001312",
"lifetimeEarnings": "0.026492",
"lifetimeEarningsInUSD": "0.026492",
"asset": {
"id": "2f6298ec-81ca-44f4-a8f2-cc045a46d28c",
"isActive": true,
"asset": {
"id": "b1deda8d-7609-4895-b584-e8ef1f13e354",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6,
"currency": "USD",
"network": "mainnet",
"blockchain": {
"name": "base",
"slug": "base",
"symbol": "eth"
}
}
}
}
]
}Authorizations
Response
200 - application/json
OK
The response is of type object.
⌘I

